pub mod definitions;
pub mod directionality;
pub mod loader;
pub mod query;
pub mod systems;

mod plugin {
	use bevy::app::{PluginGroup, PluginGroupBuilder};

	use crate::loader;

	pub struct AdventAnimationsPlugin;
	impl PluginGroup for AdventAnimationsPlugin {
		fn build(&mut self, group: &mut PluginGroupBuilder) {
			group.add(super::systems::AnimationSystemsPlugin);
			#[cfg(any(feature = "json_loader", feature = "toml_loader"))]
			group.add(loader::AnimationLoadersPlugin);
		}
	}
}

pub use plugin::AdventAnimationsPlugin;
